package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class COBTEST2_ITEM_KEY {
    public @Getter @Builder.Default String ITEM_CONT_NO = StringUtils.repeat(
            ' ', 13);
    public @Getter @Builder.Default String ITEM_IITEM = StringUtils.repeat(' ',
            5);
    public @Getter @Builder.Default String ITEM_IITEM_GB = StringUtils.repeat(
            ' ', 2);

    public void setITEM_CONT_NO(String source) {
        ITEM_CONT_NO = StringUtils.truncate(StringUtils.rightPad(source, 13),
                13);
    }

    public void setITEM_IITEM(String source) {
        ITEM_IITEM = StringUtils.truncate(StringUtils.rightPad(source, 5), 5);
    }

    public void setITEM_IITEM_GB(String source) {
        ITEM_IITEM_GB = StringUtils
                .truncate(StringUtils.rightPad(source, 2), 2);
    }

    public void set(String source) {
        ITEM_CONT_NO = source.substring(0, 13);
        ITEM_IITEM = source.substring(13, 18);
        ITEM_IITEM_GB = source.substring(18, 20);
    }

    public void set(COBTEST2_RVL_KEY source) {
        ITEM_CONT_NO = source.getRVL_CONT_NO();
        ITEM_IITEM = source.getRVL_IITEM();
        ITEM_IITEM_GB = source.getRVL_IITEM_GB();
    }

    @Override
    public String toString() {
        return getITEM_CONT_NO() + getITEM_IITEM() + getITEM_IITEM_GB();
    }
}
